// $Id: File_type.hh,v 1.10 1998/10/30 10:50:41 cvs_christof Exp $
/*  glade--: C++ frontend for glade (Gtk+ User Interface Builder)
 *  Copyright (C) 1998  Christof Petig
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef FILE_TYPE_HH
#define FILE_TYPE_HH
#include <config.h>
enum File_type { File_FOO_GLADE_HH, File_FOO_HH, File_FOO_GLADE_CC, 
	File_FOO_CC, File_MAIN_CC, File_SUPPORT_HH, File_SUPPORT_CC,
	File_NUM_CXX_FILES,

// now comments start with #	
	File_MAKEFILE_AM=File_NUM_CXX_FILES, File_CONFIGURE_IN, 
	File_AUTOGEN_SH, 
	File_MAKEFILE, 

// not used	
	File_NUM_FILES, File_UNKNOWN=File_NUM_FILES };

enum { File_NODIR_b, File_NOREPLACE_b, File_GLADE_b, File_OBJECT_b };

enum { 	File_NODIR=1<<File_NODIR_b,
	File_NOREPLACE=1<<File_NOREPLACE_b,
	File_GLADE=1<<File_GLADE_b,
	File_OBJECT=1<<File_OBJECT_b };
#endif
