// $Id: drawingarea.cc,v 1.1 1998/11/04 08:19:04 cvs_christof Exp $
/*  glade--: C++ frontend for glade (Gtk+ User Interface Builder)
 *  Copyright (C) 1998  Christof Petig
 *
 *  drawingarea.cc by Joe Pfeiffer, pfeiffer@cs.nmsu.edu
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "writers.hh"

void Gtk_DrawingArea::Include(File &f,const Widget &w)
{  f.include("gtk--/drawingarea.h");
}

void Gtk_DrawingArea::Declare(File &f,const Widget &w)
{  StandardWriter::Declare(f,w,"Gtk_DrawingArea");
}

void Gtk_DrawingArea::Construct(File &f,const Widget &w,bool is_member)
{  f << StandardWriter::ConstructName(f,w,is_member,"Gtk_DrawingArea");
   f << "()";
}

bool Gtk_DrawingArea::NeedConstruct(const Widget &w,bool is_member)
{  return false;
}

void Gtk_DrawingArea::Customize(File &f,const Widget &w,const string instance)
{  Gtk_Widget::Customize(f,w,instance);
}

